#ifndef ADDMACRO_H
#define ADDMACRO_H

#include "ui_addmacro.h"    // Qt UIC makes this file from addmacro.ui

class addmacro : public QDialog, public Ui::Dialog_addmacro {
// QDialog is the base class of the form designed in Qt Designer (Qwidget, QDialog, etc.)

  Q_OBJECT  // macro needed for signals/slots (we ALWAYS need this)

public slots:
  void AddCommand(void);
  void DeleteCommand(void);
  void UpCommand(void);
  void DownCommand(void);
  void BrowseWindow(void);

public:
  addmacro(QWidget *parent=0); // declare required class constructor, default is no parent
  QStringList macros;
  
private:
  int SelectedCommand(void);
  void AddKey(void);
  void AddMouse(void);
  void AddLaunch(void);
  void AddMacro(void);

};

#endif
