#ifndef TARGETWINDOW_H
#define TARGETWINDOW_H

#include "rfremote.h"
#include "ui_targetwindow.h"    // Qt UIC makes this file from targetwindow.ui
#ifdef _WIN32
  #include "windows.h"
#else
  #include <X11/Xlib.h>
  #include <X11/Xutil.h>
#endif

class targetwindow : public QDialog, public Ui::Dialog_targetwindow {
// QDialog is the base class of the form designed in Qt Designer (Qwidget, QDialog, etc.)

  Q_OBJECT  // macro needed for signals/slots (we ALWAYS need this)

public slots:

public:
  targetwindow(QWidget *parent=0); // declare required class constructor, default is no parent
  
private:
#ifdef _WIN32
  void ETasks(HWND hwnd, LPARAM lparam);
#else
  Display *dpy;
  Window root;

  void listallwindows(Window top);
#endif
  void ListWindows(void);

};

#endif
